Bug 478914 - warning dialog when logging in with jp106 layout
warning dialog when logging in with jp106 layout
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 18:25 EST by Jens Petersen
Modified: 2015-01-14 18:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-27 20:09:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-01-05 18:25:03 EST
Description of problem:
I have a installation of F10 which I sometimes use with a Japanese keyboard and sometimes US.

How reproducible:
every time

Steps to Reproduce:
1. Login to GNOME through gdm with jp106 layout
  
Actual results:
1. Dialog appears:

"""
Error activating XKB configuration.
It can happen under various circumstances:
- a bug in libxklavier library
- a bug in X server (xkbcomp, xmodmap utilities)
- X server with incompatible libxkbfile implementation

X server version data:
The X.Org Foundation
10503000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
"""

Expected results:
No dialog.

Additional info:
$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "pc105+inet", "us", "", ""
_XKB_RULES_NAMES(STRING) = "evdev", "pc105+inet", "jp", "", ""
$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [jp106]
 model = 
 options = []
Comment 1 Jens Petersen 2009-01-06 20:25:21 EST
Let me add that I think this only happens if the user initially (installs with and) uses a US keyboard and then switches to jp one later (and maybe vice versa).

I discussed this a little with whot and he suggested that it might be an inconsistency with how gdm hands over the xkb data to gnome so reassigning to gdm for now.
Comment 2 Bug Zapper 2009-11-18 05:40:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jens Petersen 2009-11-19 21:35:56 EST
This might be fixed in Fedora 12 or even 11, not sure.
Comment 4 Bug Zapper 2010-04-27 08:41:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Daiki Ueno 2010-05-16 23:22:40 EDT
I tried to reproduce this bug with F-11 final but I couldn't succeed.
I'm going to close this bug with CURRENTRELEASE if there are no objections within this week.

Here are the steps I did:

(1) install F11 and select U.S. keyboard with the installer
(2) log in with the default settings ("English" language and "USA" keyboard), log out, log in with the new settings ("English" language and "Japan" keyboard).

I don't see any dialog in either steps, while I can bring it up manually by:

  $ gconftool-2 --set --type=list --list-type=string \
      /desktop/gnome/peripherals/keyboard/kbd/layouts [jp106]

I guess gnome-settings-daemon was fixed so that it set correct value to the gconf registry.

* xprop/gconftool-2 output on the first time:

 $ xprop -root | grep XKB
 _XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "", "terminate:ctrl_al
t_bksp"
 _XKB_RULES_NAMES(STRING) = "evdev", "evdev", "us", "", ""

 $ gconftool-2 -R /desktop/gnome/peripherals/keyboards/kbd
  layouts = []
  options = []
  model = evdev

* xprop/gconftool-2 output on the second time:

 $ xprop -root | grep XKB
 _XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "", "terminate:ctrl_al
t_bksp"
 _XKB_RULES_NAMES(STRING) = "evdev", "evdev", "jp", "", ""

 $ gconftool-2 -R /desktop/gnome/peripherals/keyboards/kbd
  layouts = [jp]
  options = []
  model = evdev
Comment 6 Jens Petersen 2010-05-26 23:03:55 EDT
Thanks for testing.

I upgraded the machine where I was seeing this to f12.
Need to check again if it is still happening there
but I think it may be gone...
Comment 7 Jens Petersen 2010-05-27 01:14:26 EDT
Anyway if I still see it I will reopen...
Comment 8 Jens Petersen 2010-05-27 20:09:56 EDT
I can confirm this is fixed for me with F12 (gnome-2.28).

Note You need to log in before you can comment on or make changes to this bug.